Bug 1080669 - Review Request: vertica-python - A native Python adapter for the Vertica database
Summary: Review Request: vertica-python - A native Python adapter for the Vertica data...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1081949 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 22:28 UTC by Jakub Jedelsky
Modified: 2014-04-15 23:32 UTC (History)
3 users (show)

Fixed In Version: vertica-python-0.2.0-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-14 22:33:24 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jakub Jedelsky 2014-03-25 22:28:27 UTC
Spec URL: https://github.com/jakubjedelsky/rpms/blob/master/vertica-python/vertica-python.spec

SRPM URL: http://s.stderr.cz/rpm/vertica-python-0.2.0-1.fc20.src.rpm

Description: vertica-python is a native Python adapter for the Vertica (http://www.vertica.com) database.

Fedora Account System Username: kubo

Comment 1 Jakub Jedelsky 2014-03-26 08:47:15 UTC
I made a little change on SPEC file, URL is the same.

new SRPM URL: http://s.stderr.cz/rpm/vertica-python-0.2.0-2.fc20.src.rpm

# rpmlint vertica-python.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
# rpmlint vertica-python-0.2.0-2.fc20.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Jakub Jedelsky 2014-03-26 09:42:11 UTC
Second change: package is not ready for python3 so I removed its building. SPEC URL still same, SRPM URL: http://s.stderr.cz/rpm/vertica-python-0.2.0-3.fc21.src.rpm

# rpmlint vertica-python.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
# rpmlint vertica-python-0.2.0-3.fc21.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 3 Christopher Meng 2014-03-26 09:54:35 UTC
Do you want to push it to EPEL5?

Comment 4 Jakub Jedelsky 2014-03-26 10:33:39 UTC
Not now, because building ends with an error. I want to investigate and push it there later.

Comment 5 Christopher Meng 2014-03-26 10:43:44 UTC
(In reply to Jakub Jedelsky from comment #4)
> Not now, because building ends with an error. I want to investigate and push
> it there later.

Does it support python 2.4?

Comment 6 Jakub Jedelsky 2014-03-26 12:30:48 UTC
(In reply to Christopher Meng from comment #5)
> (In reply to Jakub Jedelsky from comment #4)
> > Not now, because building ends with an error. I want to investigate and push
> > it there later.
> 
> Does it support python 2.4?

There isn't any test available so I tried to build it and there is a inconvenience at least with collections module. So - nope, it won't be in el5.

Comment 7 Christopher Meng 2014-03-26 13:24:54 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 43 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
vertica-python-0.2.0/setup.py
vertica-python-0.2.0/vertica_python/__init__.py
vertica-python-0.2.0/vertica_python/datatypes.py
vertica-python-0.2.0/vertica_python/errors.py
vertica-python-0.2.0/vertica_python/vertica/column.py
vertica-python-0.2.0/vertica_python/vertica/connection.py
vertica-python-0.2.0/vertica_python/vertica/cursor.py
vertica-python-0.2.0/vertica_python/vertica/messages/__init__.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/authentication.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/backend_key_data.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/bind_complete.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/close_complete.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/command_complete.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/copy_in_response.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/data_row.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/empty_query_response.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/error_response.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/no_data.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/notice_response.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/parameter_description.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/parameter_status.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/parse_complete.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/portal_suspended.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/ready_for_query.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/row_description.py
vertica-python-0.2.0/vertica_python/vertica/messages/backend_messages/unknown.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/bind.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/cancel_request.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/close.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/copy_data.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/copy_done.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/copy_fail.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/describe.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/execute.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/flush.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/parse.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/password.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/query.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/ssl_request.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/startup.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/sync.py
vertica-python-0.2.0/vertica_python/vertica/messages/frontend_messages/terminate.py
vertica-python-0.2.0/vertica_python/vertica/messages/message.py

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: vertica-python-0.2.0-3.fc21.noarch.rpm
          vertica-python-0.2.0-3.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint vertica-python
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
vertica-python (rpmlib, GLIBC filtered):
    python(abi)
    python-dateutil15
    python-psycopg2
    python-setuptools
    pytz



Provides
--------
vertica-python:
    vertica-python



Source checksums
----------------
https://github.com/uber/vertica-python/archive/0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : a47dea8b60536085511757168d9b75495039795e48be44f9a5714401d38e1e0c
  CHECKSUM(SHA256) upstream package : a47dea8b60536085511757168d9b75495039795e48be44f9a5714401d38e1e0c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn vertica-python-0.2.0-3.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

--------------------------------
1. Fix [!].

2. Question:

BuildRequires:  python-pip

Why?

Comment 8 Christopher Meng 2014-03-28 09:59:30 UTC
*** Bug 1081949 has been marked as a duplicate of this bug. ***

Comment 9 Lubomir Rintel 2014-03-28 10:16:50 UTC
> BuildRequires:  python-pip
> 
> Why?

setup.py imports it (possibly to list or install missing dependencies). Not something we'd need, but it throws an exception upon import attempt if not present.

Comment 10 Jakub Jedelsky 2014-03-28 11:50:48 UTC
SPEC URL: in first commen(In reply to Christopher Meng from comment #7)
> [!]: Buildroot is not present
>      Note: Buildroot: present but not needed

> --------------------------------
> 1. Fix [!].
> 
> 2. Question:
> 
> BuildRequires:  python-pip
> 
> Why?

Buildroot removed from spec file. New SRPM: http://s.stderr.cz/rpm/vertica-python-0.2.0-4.fc21.src.rpm

python-pip answered Lubo above - it's because of setup.py script.

Comment 11 Christopher Meng 2014-03-30 05:23:09 UTC
(In reply to Lubomir Rintel from comment #9)
> > BuildRequires:  python-pip
> > 
> > Why?
> 
> setup.py imports it (possibly to list or install missing dependencies). Not
> something we'd need, but it throws an exception upon import attempt if not
> present.

It's better to patch it out, koji doesn't have internet connection.

But it's your turn.

PACKAGE APPROVED.

Comment 12 Jakub Jedelsky 2014-03-30 20:50:39 UTC
New Package SCM Request
=======================
Package Name: vertica-python
Short Description: A native Python adapter for the Vertica database
Owners: kubo 
Branches: f19 f20 el6 epel7

Comment 13 Gwyn Ciesla 2014-03-31 11:48:57 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-03-31 13:35:26 UTC
vertica-python-0.2.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vertica-python-0.2.0-4.fc20

Comment 15 Fedora Update System 2014-03-31 13:36:32 UTC
vertica-python-0.2.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vertica-python-0.2.0-4.fc19

Comment 16 Fedora Update System 2014-03-31 13:37:59 UTC
vertica-python-0.2.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/vertica-python-0.2.0-4.el6

Comment 17 Fedora Update System 2014-03-31 18:24:06 UTC
vertica-python-0.2.0-4.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 18 Fedora Update System 2014-04-14 22:33:24 UTC
vertica-python-0.2.0-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 19 Fedora Update System 2014-04-14 22:43:04 UTC
vertica-python-0.2.0-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 20 Fedora Update System 2014-04-15 23:32:50 UTC
vertica-python-0.2.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.